> ## Documentation Index
> Fetch the complete documentation index at: https://docs.debridge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Returns referral code which user used in first DeBridge order



## OpenAPI

````yaml /dln-details/swagger/monitoring.json get /api/ReferralProgram/referrerCode/{walletAddress}
openapi: 3.0.1
info:
  title: DLN stats API
  description: >-
    # Introduction

    This API is part of [deBridge](https://debridge.com/) protocol
    infrastructure. 


    Protocol documentation is available [here](https://docs.debridge.com/).


    [Terms and
    Condition](https://debridge.com/assets/files/debridge_terms_of_service.pdf)
    | [Privacy
    Policy](https://debridge.com/assets/files/debridge_privacy_policy.pdf)


    # Swagger

    Swagger document can be found [here](/swagger)


    Redoc document can be found [here](/redoc)
  version: v1
servers:
  - url: https://dln-api.debridge.finance
security: []
paths:
  /api/ReferralProgram/referrerCode/{walletAddress}:
    get:
      tags:
        - ReferralProgram
      summary: Returns referral code which user used in first DeBridge order
      operationId: ReferralProgram_GetReferrerCode
      parameters:
        - name: walletAddress
          in: path
          description: wallet address [hex of base58]
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: integer
                format: int32
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidInputDataResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
components:
  schemas:
    InvalidInputDataResponse:
      type: object
      properties:
        message:
          type: string
          description: Error message
          nullable: true
        errorCode:
          type: integer
          description: For this type of error it's always 400
          format: int32
      additionalProperties: false
      description: Information about bad input params
    InternalServerErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: Error message
          nullable: true
        errorCode:
          type: integer
          description: For this type of error it's always 500
          format: int32
      additionalProperties: false
      description: Information about an internal server error

````